<style>
  #main-header .header-menu-icon {
    font-size: 15px !important;
  }
  #main-header #menu-our-services,
  #main-header #menu-about-us {
    cursor: pointer;
    position: relative;
  }
  #main-header #menuMouseHolder {
    z-index: 9999;
    position: absolute;
    top: -29px;
    left: 0;
    width: 115px;
    height: 75px;
  }
  #main-header #aboutUSmenuMouseHolder {
    z-index: 9999;
    position: absolute;
    top: -29px;
    left: 0;
    width: 150px;
    height: 75px;
  }
   #menu-our-services ul {
    position: absolute !important;
    top: 40px;
    left: -50px;
    z-index: 9999;
    background-color: #212529;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 10px;
    padding: 10px 20px !important;
    border-radius: 10px;
    display: none !important;
  }
  #menu-about-us ul {
    position: absolute !important;
    top: 40px;
    left: -10px;
    z-index: 9999;
    background-color: #212529;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 10px;
    padding: 10px 20px !important;
    border-radius: 10px;
    display: none !important;
  }
  #main-header #menu-our-services ul.active {
    display: flex !important;
  }
  #main-header #menu-about-us ul.active {
    display: flex !important;
  }

  #main-header .drones-menu {
    position: relative;
  }
  .drones-menu ul {
    position: absolute;
    top: 40px;
    left: -50px;
    z-index: 9999;
    background-color: #212529;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 10px;
    padding: 10px 20px !important;
    border-radius: 10px;
    display: none !important;
  }
  #main-header .drones-menu ul.active {
    display: flex !important;
  }
  #main-header .drones-menu #droneMenuMouseHolder {
    z-index: 9999;
    position: absolute;
    top: -29px;
    left: -13px;
    width: 99px;
    height: 75px;
  }
</style>
{% load static %}
<header id="main-header">
  <nav class="position-relative">
    <div class="header-left">
      <a class="navbar-brand" href="{% url 'index_user' %}"
        ><img
          src="{% static 'images/logo.png' %}"
          style="
          width: auto !important;
          height: 55px;
          "
          class="mx-1 my-1"
          alt="LOGO"
      /></a>
    </div>
    <div class="header-right">
      <div class="menu-left">
        <ul>
          {% if request.user.is_superuser %}
          <li
            id="accessories"
            class="header-item one-ligne-text cursor-pointer text-white"
          >
            <a href="{% url 'control_panel' %}">Tableau de bord</a>
          </li>
          {% else %}
          <li class="header-item one-ligne-text cursor-pointer text-white">
            <a href="{% url 'index_user' %}">Page d'accueil</a>
          </li>
          {% endif %}

          <li
            id="drones"
            class="drones-menu header-item one-ligne-text cursor-pointer text-white d-flex flex-row justify-content-center align-items-center gap-2 text-white"
          >
            <span>Drones</span>
            <i class="menu-icon fs-5 fa-solid fa-caret-down"></i>
            <span id="droneMenuMouseHolder"></span>
            <ul>
              <li>
                <a class="one-ligne-text" href="{% url 'list_article_with_type' 0 %}">
                  Toutes les drones
                </a>
              </li>
              <li>
                <a class="one-ligne-text" href="{% url 'list_article_sorted' 'novelty' %}">
                  Nouveautés
                </a>
              </li>
              <li>
                <a class="one-ligne-text" href="{% url 'list_article_sorted' 'reducted' %}">
                  Nous offres
                </a>
              </li>
              <li>
                <a class="one-ligne-text" href="{% url 'list_article_sorted' 'occasion' %}">
                  Drones d'occasion
                </a>
              </li>
              <li>
                <a class="one-ligne-text" href="{% url 'list_article_with_type' 1 %}">
                  Drones de loisir
                </a>
              </li>
              <li>
                <a class="one-ligne-text" href="{% url 'list_article_with_type' 2 %}">
                  Drones professionnels
                </a>
              </li>
              <li>
                <a class="one-ligne-text" href="{% url 'list_article_with_type' 3 %}">
                  Drones FPV
                </a>
              </li>
            </ul>
          </li>
          <li
            id="pieces"
            class="header-item one-ligne-text cursor-pointer text-white"
          >
            <a href="{% url 'list_article_with_type' 4 %}">Piéces détachées</a>
          </li>
          <li
            id="cameras"
            class="header-item one-ligne-text cursor-pointer text-white"
          >
            <a href="{% url 'list_article_with_type' 5 %}">Stabilisateurs</a>
          </li>
          <li
            id="accessories"
            class="header-item one-ligne-text cursor-pointer text-white"
          >
            <a href="{% url 'list_article_with_type' 6 %}">Accessoires</a>
          </li>
        </ul>
      </div>
      <div class="form">
        <form
          action="{% url 'search_with_query' %}"
          method="GET"
          class="form-search"
        >
          <input
            name="q"
            class="form-search-input"
            type="text"
            placeholder="Rechercher ..."
            class="px-2"
          />
        </form>
      </div>
      <div class="menu-right">
        <ul>

          <li
            id="menu-our-services"
            class="big-menu d-flex flex-row justify-content-center align-items-center gap-2 text-white"
          >
            <span class="one-ligne-text">Nos services</span>
            <i class="menu-icon fs-5 fa-solid fa-caret-down"></i>
            <span id="menuMouseHolder"></span>
            <ul>
              <li>
                <a class="one-ligne-text" href="{% url 'repair_presentation' %}"
                  >Réparation express</a
                >
              </li>
              <li>
                <a class="one-ligne-text" href="{% url 'list_article_sorted' 'rentable' %}"
                  >Louer un drone</a
                >
              </li>
              <li>
                <a class="one-ligne-text" href="{% url 'sell_presentation' %}"
                  >Vendre votre drone</a
                >
              </li>
              <li>
                <a class="one-ligne-text" href="https://dronefortyfive.com/"
                  >Formation de pilote de drone</a
                >
              </li>
            </ul>
          </li>
          <li
            id="menu-about-us"
            class="big-menu d-flex flex-row justify-content-center align-items-center gap-2 text-white"
            >
              <span class="one-ligne-text">À propos de nous</span>
            <i class="menu-icon fs-5 fa-solid fa-caret-down"></i>
          <span id="aboutUSmenuMouseHolder"></span>
          <ul>
            <li>
              <a class="one-ligne-text" href="{% url 'about_us' %}"
                >Qui sommes nous ?</a
              >
            </li>
            <li>
              <a class="one-ligne-text" href="{% url 'privacy' %}"
                >Confidentialite</a
              >
            </li>
            <li>
              <a class="one-ligne-text" href="{% url 'legal_notice' %}"
                >Mentions legales</a
              >
            </li>
            <li>
              <a class="one-ligne-text" href="{% url 'new_message' %}"
                >Nous contacter</a
              >
            </li>
          </ul>
        </li>



          <div class="d-flex justify-content-center align-content-center gap-4">
            <li>
              <a class="one-ligne-text" href="{% url 'user_profile' %}">
                <i class="fa-solid fa-user fs-5"></i>
                </a>
            </li>
            <li class="position-relative">
              <a class="one-ligne-text" href="{% url 'mybasket' %}">
                <i
                  class="fa-solid fa-cart-shopping fs-5"
                  style="color: #ffffff"
                ></i>
              </a>
            </li>
          </div>
        </ul>
      </div>
    </div>
    <div id="mo">
      <button
        id="openCloseHeaderNav"
        onclick="openCloseHeaderMobile(this)"
        type="button"
      >
        <i class="openCloseMenuIcon fa-solid fa-bars fs-1"></i>
      </button>
    </div>
    <div id="header-mobile" class="">
      <div class="header-mobile-form">
        <form action="{% url 'search_with_query' %}" method="GET">
          <input
            type="search"
            name="q"
            id="q"
            placeholder="Rechercher ..."
            class="px-2"
          />
        </form>
      </div>
      <div class="lists position-relative">
        <div class="full-h-lists">
          {% if request.user.is_superuser %}
          <div class="header-mobile-services">
            <div
              class="text-center my-1 d-flex gap-3 justify-content-center align-items-center"
            >
              <i class="fa-solid fa-hammer fs-5"></i>
              <span class="fs-5 header-menu-icon pb-1">Admin</span>
            </div>
            <ul class="header-mobile-services-list">
              <li class="header-mobile-services-list-item">
                <a
                  class="d-flex justify-content-start align-items-center gap-3 text-white"
                  href="{% url 'control_panel' %}"
                >
                  <i class="header-menu-icon fa-solid fa-hammer"></i>
                  <span>Tableau de bord</span>
                </a>
              </li>
            </ul>
          </div>
          {% endif %}
          <div class="header-mobile-articles">
            <div
              class="pt-2 text-center d-flex gap-3 justify-content-center align-items-center"
            >
              <i class="fa fa-list-alt fs-5"></i>
              <span class="fs-5 header-menu-icon pb-1">Catégories</span>
            </div>
            <ul class="header-mobile-articles-global-list">
              <li class="header-mobile-articles-global-list-item">
                <div
                  onclick="openHideList(this)"
                  class="d-flex justify-content-start align-items-center gap-3 text-white"
                >
                  <!-- <i class="fa-solid fa-plane header-menu-icon"></i> -->
                  <img class="img-icon" src="{% static 'images/univers_img.png' %}" alt="ICON"/>
                  <span>Drones</span>
                  <i
                    class="openCloseSubMenuList fs-5 fa-solid fa-caret-down"
                  ></i>
                </div>
                <ul class="header-mobile-articles-sub-list">
                  <li class="header-mobile-articles-sub-list-item">
                    <a href="{% url 'list_article_with_type' 0 %}"
                      >Toutes les drones</a
                    >
                  </li>
                  <li class="header-mobile-articles-sub-list-item">
                    <a href="{% url 'list_article_sorted' 'novelty' %}"
                      >Nouveautés</a
                    >
                  </li>
                  <li class="header-mobile-articles-sub-list-item">
                    <a href="{% url 'list_article_sorted' 'reducted' %}"
                      >Nous offres</a
                    >
                  </li>
                  <li class="header-mobile-articles-sub-list-item">
                    <a href="{% url 'list_article_sorted' 'drones_not_used' %}"
                      >Drones neufs</a
                    >
                  </li>
                  <li class="header-mobile-articles-sub-list-item">
                    <a href="{% url 'list_article_sorted' 'occasion' %}"
                      >Drones d'occasion</a
                    >
                  </li>
                  <li class="header-mobile-articles-sub-list-item">
                    <a href="{% url 'list_article_with_type' 1 %}"
                      >Drones de loisir</a
                    >
                  </li>
                  <li class="header-mobile-articles-sub-list-item">
                    <a href="{% url 'list_article_with_type' 2 %}"
                      >Drones professionnels</a
                    >
                  </li>
                  <li class="header-mobile-articles-sub-list-item">
                    <a href="{% url 'list_article_with_type' 3 %}"
                      >Drones FPV</a
                    >
                  </li>
                </ul>
              </li>
              <li class="header-mobile-articles-global-list-item">
                <a href="{% url 'list_article_with_type' 4 %}">
                  <div
                    class="d-flex justify-content-start align-items-center gap-3 text-white"
                  >
                    <img class="img-icon" src="{% static 'images/pieces_img.png' %}" alt="ICON"/>
                    <span>Piéces Détachées</span>
                  </div>
                </a>
              </li>
              <li class="header-mobile-articles-global-list-item">
                <a
                  class="d-flex justify-content-start align-items-center gap-3 text-white"
                  href="{% url 'list_article_with_type' 5 %}"
                >
                  <img class="img-icon" src="{% static 'images/cameras_img.png' %}" alt="ICON"/>
                  <span> Stabilisateurs</span>
                </a>
              </li>
              <li class="header-mobile-articles-global-list-item">
                <a
                  class="d-flex justify-content-start align-items-center gap-3 text-white"
                  href="{% url 'list_article_with_type' 6 %}"
                >
                  <img class="img-icon" src="{% static 'images/accessoires_img.png' %}" alt="ICON"/>
                  <span>Accessoires</span>
                </a>
              </li>
            </ul>
          </div>
          <div class="header-mobile-services">
            <div
              class="text-center pt-2 d-flex gap-3 justify-content-center align-items-center"
            >
              <i class="fa-solid fa-users fs-5"></i>
              <span class="fs-5 header-menu-icon pb-1">Services</span>
            </div>
            <ul class="header-mobile-services-list">
              <li class="header-mobile-services-list-item">
                <a
                  class="d-flex justify-content-start align-items-center gap-3 text-white"
                  href="{% url 'repair_presentation' %}"
                >
                  <i class="header-menu-icon fa-solid fa-hammer"></i>
                  <span>Réparation express</span>
                </a>
              </li>
              <li class="header-mobile-services-list-item">
                <a
                  class="d-flex justify-content-start align-items-center gap-3 text-white"
                  href="{% url 'list_article_sorted' 'rentable' %}"
                >
                  <i class="header-menu-icon fa-solid fa-clock"></i>
                  <span>Louer un drone</span>
                </a>
              </li>
              <li class="header-mobile-services-list-item">
                <a
                  class="d-flex justify-content-start align-items-center gap-3 text-white"
                  href="{% url 'sell_presentation' %}"
                >
                <i class="fa-solid fa-circle-dollar-to-slot"></i>
                  <span>Vendre votre drone</span>
                </a>
              </li>

              <li class="header-mobile-services-list-item">
                <a
                  class="d-flex justify-content-start align-items-center gap-3 text-white"
                  href="https://dronefortyfive.com/"
                >
                  <i class="header-menu-icon fa-solid fa-circle-info"></i>
                  <span>Formation de pilote de drone</span>
                </a>
              </li>
            </ul>
          </div>
          <div class="header-mobile-services">
            <div
              class="text-center pt-2 d-flex gap-3 justify-content-center align-items-center"
            >
            <i class="fa-solid fa-address-card fs-5"></i>
              <span class="fs-5 header-menu-icon pb-1">À propos de nous</span>
            </div>
            <ul class="header-mobile-services-list">
              <li class="header-mobile-services-list-item">
                <a
                  class="d-flex justify-content-start align-items-center gap-3 text-white"
                  href="{% url 'about_us' %}"
                >
                  <i class="header-menu-icon fa-solid fa-question"></i>
                  <span>Qui sommes nous ?</span>
                </a>
              </li>
              <li class="header-mobile-services-list-item">
                <a
                  class="d-flex justify-content-start align-items-center gap-3 text-white"
                  href="{% url 'privacy' %}"
                >
                <i class="header-menu-icon fa-solid fa-earth-americas"></i>
                  <span>Confidentialite</span>
                </a>
              </li>
              <li class="header-mobile-services-list-item">
                <a
                  class="d-flex justify-content-start align-items-center gap-3 text-white"
                  href="{% url 'legal_notice' %}"
                >
                <i class="header-menu-icon fa-solid fa-gavel"></i>
                  <span>Mentions legales</span>
                </a>
              </li>
              <li class="header-mobile-services-list-item">
                <a
                  class="d-flex justify-content-start align-items-center gap-3 text-white"
                  href="{% url 'new_message' %}"
                >
                <i class="header-menu-icon fa-solid fa-message"></i>
                  <span>Nous contacter</span>
                </a>
              </li>
            </ul>
          </div>
        </div>

        <div class="header-mobile-account">
          <ul class="header-mobile-account-list pt-2">
            {% if not request.user.is_authenticated %}
            <li class="header-mobile-account-list-item">
              <a href="{% url 'auth' %}"
                ><i class="fa-solid fa-right-to-bracket"></i
              ></a>
            </li>
            {% else %}

            <li class="header-mobile-account-list-item">
              <i
                onclick="openLogoutModal()"
                class="fa-solid fa-right-from-bracket"
              ></i>
            </li>
            <li class="header-mobile-account-list-item">
              <a href="{% url 'mybasket' %}"
                ><i class="fa-regular fa-basket-shopping"></i
              ></a>
            </li>
            <li class="header-mobile-account-list-item">
              <a href="{% url 'myfavorites' %}"
                ><i class="fa-solid fa-heart"></i
              ></a>
            </li>
            <li class="header-mobile-account-list-item">
              <a href="{% url 'user_profile' %}"
                ><i class="fa-solid fa-user"></i
              ></a>
            </li>
            {% endif %}
          </ul>
        </div>
        <style></style>

        <div class="logout-modal">
          <div class="logout-modal-header">
            <p class="border-bottom">Désconnecion</p>
          </div>
          <div class="logout-modal-body">
            <p>Vous êtez sûr de valoir se désconnecter ?</p>
          </div>
          <div class="logout-modal-footer">
            <button class="normal-btn" type="button">
              <a href="{% url 'logout_user' %}">Oui</a>
            </button>
            <button id="closeLogoutModal" class="normal-btn" type="button">
              Annuler
            </button>
          </div>
        </div>
      </div>
    </div>
  </nav>
</header>
<script src="{% static 'assets/js/header.js' %}"></script>
<script>
  handelHeaderMenus()
</script>
